Package com.clickhouse.jdbc.internal

# Class ClickHouseParameterMetaData

java.lang.Object
com.clickhouse.jdbc.JdbcWrapper
com.clickhouse.jdbc.internal.ClickHouseParameterMetaData

All Implemented Interfaces:
  `ParameterMetaData`, `Wrapper`

@Deprecated public class ClickHouseParameterMetaData extends JdbcWrapper implements ParameterMetaData
Deprecated.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected final JdbcTypeMapping`
`mapper`
Deprecated.
`protected final List<ClickHouseColumn>`
`params`
Deprecated.
`protected final Map<String,Class<?>>`
`typeMap`
Deprecated.

### Fields inherited from interface java.sql.ParameterMetaData

`parameterModeIn, parameterModeInOut, parameterModeOut, parameterModeUnknown, parameterNoNulls, parameterNullable, parameterNullableUnknown`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`ClickHouseParameterMetaData(List<ClickHouseColumn> params, JdbcTypeMapping mapper, Map<String,Class<?>> typeMap)`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`protected ClickHouseColumn`
`getParameter(int param)`
Deprecated.
`String`
`getParameterClassName(int param)`
Deprecated.
`int`
`getParameterCount()`
Deprecated.
`int`
`getParameterMode(int param)`
Deprecated.
`int`
`getParameterType(int param)`
Deprecated.
`String`
`getParameterTypeName(int param)`
Deprecated.
`int`
`getPrecision(int param)`
Deprecated.
`int`
`getScale(int param)`
Deprecated.
`int`
`isNullable(int param)`
Deprecated.
`boolean`
`isSigned(int param)`
Deprecated.

### Methods inherited from class com.clickhouse.jdbc.JdbcWrapper

`isWrapperFor, unwrap`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.sql.Wrapper

`isWrapperFor, unwrap`

## Field Details

### params

protected final List<ClickHouseColumn> params
Deprecated.

### mapper

protected final JdbcTypeMapping mapper
Deprecated.

### typeMap

protected final Map<String,Class<?>> typeMap
Deprecated.

## Constructor Details

### ClickHouseParameterMetaData

protected ClickHouseParameterMetaData(List<ClickHouseColumn> params, JdbcTypeMapping mapper, Map<String,Class<?>> typeMap)
Deprecated.

## Method Details

### getParameter

protected ClickHouseColumn getParameter(int param) throws SQLException
Deprecated.

Throws:
  `SQLException`

### getParameterCount

public int getParameterCount() throws SQLException
Deprecated.

Specified by:
  `getParameterCount` in interface `ParameterMetaData`
Throws:
  `SQLException`

### isNullable

public int isNullable(int param) throws SQLException
Deprecated.

Specified by:
  `isNullable` in interface `ParameterMetaData`
Throws:
  `SQLException`

### isSigned

public boolean isSigned(int param) throws SQLException
Deprecated.

Specified by:
  `isSigned` in interface `ParameterMetaData`
Throws:
  `SQLException`

### getPrecision

public int getPrecision(int param) throws SQLException
Deprecated.

Specified by:
  `getPrecision` in interface `ParameterMetaData`
Throws:
  `SQLException`

### getScale

public int getScale(int param) throws SQLException
Deprecated.

Specified by:
  `getScale` in interface `ParameterMetaData`
Throws:
  `SQLException`

### getParameterType

public int getParameterType(int param) throws SQLException
Deprecated.

Specified by:
  `getParameterType` in interface `ParameterMetaData`
Throws:
  `SQLException`

### getParameterTypeName

public String getParameterTypeName(int param) throws SQLException
Deprecated.

Specified by:
  `getParameterTypeName` in interface `ParameterMetaData`
Throws:
  `SQLException`

### getParameterClassName

public String getParameterClassName(int param) throws SQLException
Deprecated.

Specified by:
  `getParameterClassName` in interface `ParameterMetaData`
Throws:
  `SQLException`

### getParameterMode

public int getParameterMode(int param) throws SQLException
Deprecated.

Specified by:
  `getParameterMode` in interface `ParameterMetaData`
Throws:
  `SQLException`